
import { Button, Popconfirm } from 'antd'
import FormPage from '../../components/FormPage'
import {extendRule, initFilter} from "../../utils/common";
import {message} from "antd/lib/index";

//日历模板
export default {
  btnClassEdit:({record,close,loadData,login,btn,dispatch})=> {
    const closeF=()=>{
      close();
      loadData();
    };
    const data={
      id:(record? record.CLASS_ID:''),
      close:closeF,
    };
    return {
      content: <FormPage formCode={'PM006'} data={data} onCancel={closeF}/>,
    }
  },
  onLoadParam:({loadParam,parantRow, pageCode})=>{

    if(pageCode==='classDetail'){
      extendRule( loadParam,'CLASS_ID',1,parantRow.CLASS_ID);
    }

  }



}
